package com.sunxung.factoring.entity.fundmanagement.vo;

/**
 * @Description : 资方信息详情
 * @Author : L.Jia
 * @Date: 2023-02-16 14:14
 */
public class FinancialInstitutionDetailVo {

    /**
     * 资方Id
     **/
    private Long institutionId;

    /**
     * 资方名称
     **/
    private String institutionName;

    /**
     * 客户经理
     **/
    private String customerManager;

    /**
     * 授信主体
     **/
    private String creditSubjectName;

    /**
     * 项目经理
     **/
    private String projectManager;

    /**
     * 业务编号
     **/
    private String businessNo;

    /**
     * 合同编号
     **/
    private String contractNo;

    /**
     * 批次号
     **/
    private Integer quotaDisburseBatch;

    /**
     * 关联客户Id
     */
    private Long relationCustomerId;


    /**
     * 关联客户支用Id
     */
    private Long relationCustomerDisburseId;

    /**
     * 放款信息
     */
    private LoanInfoVo loanInfoVo;

    public Long getInstitutionId() {
        return institutionId;
    }

    public void setInstitutionId(Long institutionId) {
        this.institutionId = institutionId;
    }

    public String getInstitutionName() {
        return institutionName;
    }

    public void setInstitutionName(String institutionName) {
        this.institutionName = institutionName;
    }

    public String getCustomerManager() {
        return customerManager;
    }

    public void setCustomerManager(String customerManager) {
        this.customerManager = customerManager;
    }

    public String getCreditSubjectName() {
        return creditSubjectName;
    }

    public void setCreditSubjectName(String creditSubjectName) {
        this.creditSubjectName = creditSubjectName;
    }

    public String getProjectManager() {
        return projectManager;
    }

    public void setProjectManager(String projectManager) {
        this.projectManager = projectManager;
    }

    public String getBusinessNo() {
        return businessNo;
    }

    public void setBusinessNo(String businessNo) {
        this.businessNo = businessNo;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public Integer getQuotaDisburseBatch() {
        return quotaDisburseBatch;
    }

    public void setQuotaDisburseBatch(Integer quotaDisburseBatch) {
        this.quotaDisburseBatch = quotaDisburseBatch;
    }

    public LoanInfoVo getLoanInfoVo() {
        return loanInfoVo;
    }

    public void setLoanInfoVo(LoanInfoVo loanInfoVo) {
        this.loanInfoVo = loanInfoVo;
    }

    public Long getRelationCustomerId() {
        return relationCustomerId;
    }

    public void setRelationCustomerId(Long relationCustomerId) {
        this.relationCustomerId = relationCustomerId;
    }

    public Long getRelationCustomerDisburseId() {
        return relationCustomerDisburseId;
    }

    public void setRelationCustomerDisburseId(Long relationCustomerDisburseId) {
        this.relationCustomerDisburseId = relationCustomerDisburseId;
    }
}
